Bug 1622512 - linux-firmware: Cavium liquidio GPL violation
Summary: linux-firmware: Cavium liquidio GPL violation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal 1622516 1622521 1637694 1637696
TreeView+ depends on / blocked
 
Reported: 2018-08-27 11:25 UTC by Florian Weimer
Modified: 2018-12-30 01:39 UTC (History)
15 users (show)

(edit)
Clone Of:
: 1622516 1622521 (view as bug list)
(edit)
Last Closed: 2018-12-23 02:52:45 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-08-27 11:25:15 UTC
linux-firmware-20180815-86.gitf1b95fe5.fc27.noarch contains the file /usr/lib/firmware/liquidio/lio_23xx_vsw.bin.  If you run this:

tail --bytes=+1313 /usr/lib/firmware/liquidio/lio_23xx_vsw.bin > elf
readelf -aW elf

it is clear that this a compiled Linux kernel.  Yet no source code is provided, and /usr/share/licenses/linux-firmware/LICENCE.cavium does not contain a reference to the GPL license.

Comment 1 Florian Weimer 2018-08-27 15:02:11 UTC
Reported upstream: https://marc.info/?l=linux-netdev&m=153538208012629&w=2

Comment 2 Felix Manlunas 2018-08-31 17:38:10 UTC
Cavium is working on correcting the "LICENCE.cavium" file; we notified upstream:

    https://marc.info/?l=linux-netdev&m=153541480922971&w=2

Then someone from upstream (Ben Hutchings) said Cavium's plan might not be sufficient:

    https://marc.info/?l=linux-netdev&m=153557441207618&w=2

What is Red Hat's opinion?

Comment 3 Felix Manlunas 2018-09-29 00:02:04 UTC
Patch with fix submitted to linux-firmware@kernel.org (cc: netdev@vger.kernel.org):

    http://patchwork.ozlabs.org/patch/976508/

Comment 4 Tom "spot" Callaway 2018-10-03 17:03:04 UTC
Is it practical for Fedora to build the FOSS parts of this firmware from source?

Comment 5 Manish Awasthi 2018-10-03 22:43:55 UTC
It is possible to build the FOSS parts of this firmware. However, the resulting binary cannot be used as a replacement for the firmware that we publish to the linux-firmware repository because it is a combined software consisting of both opensource and Cavium proprietary applications, as explained in the license.

Comment 6 Ben Cotton 2018-11-27 14:06:46 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Josh Boyer 2018-11-27 14:40:26 UTC
This was resolved upstream on Oct 18.  We need to do a new snapshot build and update the package to get the corrected license pushed out.

Comment 8 Fedora Update System 2018-12-20 05:06:10 UTC
linux-firmware-20181219-89.git0f22c852.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba224c644f

Comment 9 Fedora Update System 2018-12-20 05:06:19 UTC
linux-firmware-20181219-89.git0f22c852.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7d88c302b7

Comment 10 Fedora Update System 2018-12-21 05:46:58 UTC
linux-firmware-20181219-89.git0f22c852.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7d88c302b7

Comment 11 Fedora Update System 2018-12-21 21:05:49 UTC
linux-firmware-20181219-89.git0f22c852.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba224c644f

Comment 12 Fedora Update System 2018-12-23 02:52:45 UTC
linux-firmware-20181219-89.git0f22c852.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-12-30 01:39:06 UTC
linux-firmware-20181219-89.git0f22c852.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.